Package org.apache.tools.ant.taskdefs.condition

## Interface Condition

- All Known Implementing Classes:
    `And`, `AntVersion`, `Available`, `CanCreateSymbolicLink`, `Checksum`, `Contains`, `Equals`, `FilesMatch`, `HasFreeSpace`, `HasMethod`, `Http`, `IsFailure`, `IsFalse`, `IsFileSelected`, `IsLastModified`, `IsReachable`, `IsReference`, `IsSet`, `IsSigned`, `IsTrue`, `JavaVersion`, `Length`, `Matches`, `Not`, `Or`, `Os`, `ParserSupports`, `ResourceContains`, `ResourceCount`, `ResourceExists`, `ResourcesMatch`, `ScriptCondition`, `Socket`, `TypeFound`, `UpToDate`, `Xor`

      public interface Condition

  Interface for conditions to use inside the <condition> task.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `eval()` | Is this condition true?

- - ### Method Detail

    - #### eval

          boolean eval()
                throws BuildException

      Is this condition true?
      Returns:
        true if the condition is true
      Throws:
        `BuildException` - if an error occurs